Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::PlanarityTest Class Reference
Graph_test

class for testing the planarity of a graph More...

`#include <PlanarityTest.h>`

Inheritance diagram for tlp::PlanarityTest:
[legend]
Collaboration diagram for tlp::PlanarityTest:
[legend]

List of all members.

## Static Public Member Functions

- static bool isPlanar (Graph *graph)
- static bool isPlanarEmbedding (Graph *graph)
- static bool planarEmbedding (Graph *graph)
- static std::list< edge > getObstructionsEdges (Graph *graph)

## Detailed Description

class for testing the planarity of a graph

## Member Function Documentation

static std::list<edge> tlp::PlanarityTest::getObstructionsEdges | ( | Graph * | graph | ) | `[static]`

Returns a list of edges that prevents to make the graph planar (ie. part of the minor of K3,3 or K5).

static bool tlp::PlanarityTest::isPlanar | ( | Graph * | graph | ) | `[static]`

Returns true if the graph is planar (i.e. the graph can be drawn in such a way that no edges cross each other), false otherwise.

static bool tlp::PlanarityTest::isPlanarEmbedding | ( | Graph * | graph | ) | `[static]`

Returns true if the current embedding of the graph is planar, false otherwise.

static bool tlp::PlanarityTest::planarEmbedding | ( | Graph * | graph | ) | `[static]`

Changes the order of edges around the nodes in order to make the embedding planar (the graph must be planar for that). Returns true if the graph is planar, false otherwise.

Tulip Software by LaBRI Visualization Team 2001 - 2012